
#include <sys/types.h>
#include <regex.h>

int strreg( const char *str, const char *reg, regmatch_t *m, size_t n );
int strcasereg( const char *str, const char *reg, regmatch_t *m, size_t n );
char *get_match( const char *str, regmatch_t *m );
char *substitute( const char *str, regmatch_t *m, size_t n, const char *subs );
char *match_apply( const char *str, regmatch_t *m, size_t n, const char *subst );

char *reg_subst( char *str, char *reg, char *subst, char *flags );

char *sed_file( char *str, char *filaname );

